mui.init({
	swipeBack: true //启用右滑关闭功能
});

var UserAuthorizationSign = localStorage.getItem('UserAuthorizationSign');
if (!UserAuthorizationSign) {
	mui.openWindow({
		url: "../login.html",
		id: "login"
	})
}
mui('.scrollEl').scroll({
	indicators: true,
	deceleration: 0.0006,
	bounce: true
});
var screenH = window.screen.availHeight,
	items = mui('.mui-control-content');
var bigh = screenH - mui('.mui-bar-nav')[0].offsetHeight - mui('.mui-segmented-control')[0].offsetHeight;

mui.each(items, function(index, item) {
	this.style.height = bigh - 70 + 'px';
})

var wrap = new Vue({
	el: '#wrap',
	data: {
		year: new Date().getFullYear(),
		month: new Date().getMonth() + 1,
		date: new Date().getDate(),
		ywList: [],
		yudingList: [],
		notcomeList: [],
		floors: '',
		deskList: "",
		nowText: '',
		nowFloor: '', //筛选的楼层
		nowDesk: '', //筛选的桌台
		thatDay: '',
		flag: '1',
		searchterm: []
	},
	created: function() {
		//this.checklogin();
	},
	mounted: function() {

		//this.thatDay = this.year + '-' + this.month + '-' + this.date;
		this.thatDay = this.getTime();
		mui('#eatDate')[0].value = this.thatDay;
		this.getFloors();
		this.getDesk();
		this.searchterm=['', this.thatDay, 0, '', '', '','',''];
		this.searchall(this.searchterm.join(','));
	},
	methods: {
		isstate: function(state) {
			if (state == '1') {
				return '未到店';
			} else if (state == '2') {
				return '已到店';
			} else if (state == '3') {
				return '已取消';
			} else {
				return '未到店';
			}
		},
		 //获取当天时间
		getTime: function() {

			var date = new Date(); //创建时间对象

			var year = date.getFullYear(); //获取年

			var month = date.getMonth() + 1; //获取月
			if (month < 10) {
				month = '0' + month;
			}

			var day = date.getDate(); //获取当日
			if (day < 10) {
				day = '0' + day;
			}

			var time = year + "-" + month + "-" + day;
			return time;
		},
		getFloors: function() {
			var that = this;
			//获取楼层
			mui.ajax('http://dci.10le.cn/default/index', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.floors = data.Body.cq;
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.getFloors();
					}
				}
			});
		},
		getDesk: function() {
			var that = this;
			//获取桌子
			mui.ajax('http://dci.10le.cn/default/desk', {
				data: "",
				dataType: 'json',
				type: 'GET',
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json',
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				success: function(data) {
					that.deskList = data.Body.desklist;
				},
				complete: function(XMLHttpRequest, status) {
					if (status == 'timeout') {
						that.getDesk();
					}
				}
			});
		},
		getArr: function() {
			var arr = [],
				that = this;
			mui.each(that.floors, function(index1, item1) {
				arr[index1] = {
					value: item1.id,
					text: item1.cq_name
				};
				arr[index1].children = [];
				arr[index1].children.push({
					value: 'all',
					text: '全部'
				});
				mui.each(that.deskList, function(index2, item2) {
					if (item1.cq_no == item2.cq_no) {
						arr[index1].children.push({
							value: item2.deskid,
							text: item2.desk_name
						});
					}
				})
			})
			arr.unshift({
				text: '全部',
				value: 'all'
			});
			arr[0].children = [];
			return arr;
		},
		//确认到店
		okComeFn: function(id) {
			
			var that = this;
			mui.ajax({
				url: globalurl + 'comeyuding',
				data: {
					id: id
				},
				type: 'POST',
				dataType: 'json',
				timeout: 15000,
				headers: {
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					
					mui('#warning')[0].style.display = 'none';
					if (data.Success) {
						mui.toast('操作成功');
					    that.searchall(that.searchterm.join(','));
					} else {
						mui.toast(data.Info);
					}
				},
				complete: function(XMLHttpRequest, status) {
					
					mui('#warning')[0].style.display = 'none';
				}
			});
		},
		//new yuding
		searchall: function(alldata) {
			
			var arrdata=alldata.split(',');
			var that = this;
			mui.ajax({
				url: globalurl + 'searchallyuding',
				data: {
					dataterm:alldata
				},
				type: 'POST',
				dataType: 'json',
				timeout: 15000,
				headers: {
					'UserAuthorizationSign': encodeURI(localStorage["UserAuthorizationSign"])
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					mui('#warning')[0].style.display = 'none';
					if (data.Success) {
						that.yudingList = data.Data[0];
					} else {
						that.yudingList = [];
					}
				},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
				}
			});
		},
		//转换时间
		GetDateFormat: function(jsondate) {
			jsondate = jsondate.replace("/Date(", "").replace(")/", "");
			if (jsondate.indexOf("+") > 0) {
				jsondate = jsondate.substring(0, jsondate.indexOf("+"));
			} else if (jsondate.indexOf("-") > 0) {
				jsondate = jsondate.substring(0, jsondate.indexOf("-"));
			}
			var date = new Date(parseInt(jsondate, 10));
			var month = date.getMonth() + 1 < 10 ? "0" + (date.getMonth() + 1) : date.getMonth() + 1;
			var currentDate = date.getDate() < 10 ? "0" + date.getDate() : date.getDate();
			var hours = date.getHours() < 10 ? "0" + date.getHours() : date.getHours();
			var minutes = date.getMinutes() < 10 ? "0" + date.getMinutes() : date.getMinutes();
			var second = date.getMilliseconds() / 1000 < 10 ? "0" + parseInt(date.getMilliseconds() / 1000) : parseInt(
				date.getMilliseconds() / 1000);
			return date.getFullYear() + "-" + month + "-" + currentDate + " " + hours + ":" + minutes + ":" + second;
		},
		//取消
		cancelFn: function(id, reason) {
			
			var that = this;
			mui.ajax({
				url: globalurl + 'cancelyuding',
				data: {
					id: id,
					reason: reason
				},
				type: 'POST',
				dataType: 'json',
				timeout: 15000,
				headers: {
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					
					mui('#warning')[0].style.display = 'none';
					if (data.Success) {
						mui.toast('操作成功');
					    that.searchall(that.searchterm.join(','));
					} else {
						mui.toast(data.Info);
					}
				},
				complete: function(XMLHttpRequest, status) {
					
					mui('#warning')[0].style.display = 'none';
				}
			});
		},
		//添加备注
		addbak: function(id, reason) {
			
			var that = this;
			mui.ajax({
				url: globalurl + 'addbak',
				data: {
					id: id,
					reason: reason
				},
				type: 'POST',
				dataType: 'json',
				timeout: 15000,
				headers: {
					'UserAuthorizationSign': localStorage["UserAuthorizationSign"]
				},
				beforeSend: function() {
					mui('#warning')[0].style.display = 'block';
				},
				success: function(data) {
					
					mui('#warning')[0].style.display = 'none';
					if (data.Success) {
						mui.toast('操作成功');
					    that.searchall(that.searchterm.join(','));
					} else {
						mui.toast(data.Info);
					}
				},
				complete: function(XMLHttpRequest, status) {
					mui('#warning')[0].style.display = 'none';
				}
			});
		}
	}
})

//确认到店
mui('#wrap').on('tap', '.okCome', function(ev) {
	var oEvent = ev || event,
		id = this.getAttribute('itemid');

	//js阻止事件冒泡
	oEvent.cancelBubble = true;
	oEvent.stopPropagation();

	mui.confirm('确定客人到店？', ' ', function(e) {
		if (e.index == 1) {
			//确认
			wrap.okComeFn(id);
		}
	}, 'div');

})
//取消
mui('#wrap').on('tap', '.cancel', function(ev) {
	var oEvent = ev || event,
		id = this.getAttribute('itemid');
	//js阻止事件冒泡
	oEvent.cancelBubble = true;
	oEvent.stopPropagation();
	mui.prompt(' ', ' ', '请输入取消原因', function(e) {
		if (e.index == '1') { //确定
			wrap.cancelFn(id, e.value);
		}
	}, 'div')
})
mui('#wrap').on('tap', '.addbak', function(ev) {
	var oEvent = ev || event,
		id = this.getAttribute('itemid');
	//js阻止事件冒泡
	oEvent.cancelBubble = true;
	oEvent.stopPropagation();
	mui.prompt(' ', ' ', '请输入新的备注', function(e) {
		if (e.index == '1') { //确定
			wrap.addbak(id, e.value);
		}
	}, 'div')
})

// mui('#wrap').on('tap', '#xinjian', function() {
// 	  
// 	mui.openWindow({
// 	    url:'../addYuding.html?s='+Math.random(),
// 	    id: 'addyuding',

// 	});
// })
document.getElementById('xinjian').addEventListener('tap', function() {
	mui.openWindow({
		url: 'addYuding.html?s=' + Math.random(),
		id: 'addyuding',

	});
})
document.getElementById('setcode').addEventListener('tap', function() {
	mui.openWindow({
		url: '../yuyuecode.html?s=' + Math.random(),
		id: 'yuyuecode',

	});
})
mui('#wrap').on('tap', '#search', function() {
	mui('.middlePopover2').popover('show');
})

mui('#wrap').on('tap', '#yudingDate', function() {
	var dtpicker = new mui.DtPicker({
		"type": "date",
		beginDate: new Date(2010, 0, 1),
		endDate: new Date(2200, 0, 1)
	})
	dtpicker.show(function(rs) {
		document.getElementById("yudingDate").value = rs.text;
		//销毁时间控件
		dtpicker.dispose();
	})
})

mui('#wrap').on('tap', '#eatDate', function() {
	var dtpicker = new mui.DtPicker({
		"type": "date",
		beginDate: new Date(2010, 0, 1),
		endDate: new Date(2200, 0, 1)
	})
	dtpicker.show(function(rs) {
		document.getElementById("eatDate").value = rs.text;
		//销毁时间控件
		dtpicker.dispose();
	})
})


mui('#wrap').on('tap', '#searchBtn', function() {
	
	//document.activeElement.blur();
	//wrap.flag = mui('#yesNo')[0].value;
	wrap.searchterm=[mui("#yudingDate")[0].value, mui("#eatDate")[0].value, 0, mui('#nowName')[0].value, mui("#nowTel")[0].value, mui("#nowYw")[0].value,mui("#zhuohao")[0].value,mui("#zhuotai")[0].value];
	wrap.searchall(wrap.searchterm.join(','));
	mui('.middlePopover2').popover('hide');
})

mui('body').on('tap', '.mui-action-backs', function() {
	mui.openWindow({
		url: '../main.html?s=' + Math.random(),
		id: 'main.html',
		createNew: true,
		styles: {
			cachemode: "noCache",
		}
	})
})
